psychopy.org | Reference | Downloads | Github

Wanted: Old Standalone version (1.90.0)

I am attempting to migrate old PsychoPy tasks that were built with 1.90.0 version from an old Win7 computer to a new Win10 computer.
These are breaking with the new PsychoPy 3.2.4, and worse, it seems that using the option to “Use PsychoPy version…” in the Experiment settings menu does not solve the problem.
Rather than getting into a lengthy troubleshooting of how to use 3.2.4 (and/or the feature mentioned above) can I simply download the 1.90.0 standalone and see if it will run on Win10 with my tasks? If so, how?

OS (e.g. Win10):
PsychoPy version 3.2.4
Standard Standalone? (y/n) y
What are you trying to achieve?:
I am trying to run tasks with a Cedrus box and a movie that were working on Win7 and were built with v1.90.0 of PsychoPy

What did you try to make it work?:

What specifically went wrong when you tried that?:
Include pasted full error message if possible. “That didn’t work” is not enough information.

Note: Further to my original question. I might be able to re-write most of the tasks for 3.2.4 if I can get the Cedrus response box to work correctly, but we are concerned that the timing may change in the middle of the study data collection.

@Perry, there have been updates to improve timing performance in the recent versions of PsychoPy. So, if you have already started data collection using PsychoPy 1.90.0, and need another copy, you can download it here.

Thank you! Exactly what I needed.